package com.ywt.outpatient.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;


@Entity
@Table(name = "schedule_doctor_info_view")
public class ScheduleDoctorInfoView {

    /**
     * doctor表主键id
     */
    @Id
    @Column(name = "doctor_id", nullable = false)
    private Integer doctorId;

    /**
     * 医院ids
     */
    @Column(name = "hospital_ids")
    private String hospitalIds;

    /**
     * 科室ids
     */
    @Column(name = "dept_ids")
    private String deptIds;

    /**
     * 特长
     */
    @Column(name = "specialty")
    private String  specialty;

    /**
     * 简介
     */
    @Column(name = "brief_intro", nullable = false)
    private String briefIntro;

    /**
     * 医生职称
     */
    @Column(name = "title", nullable = false)
    private String title;

    /**
     * 医生职称
     */
    @Column(name = "doctor_name", nullable = false)
    private String doctorName;

    /**
     * 医生头像
     */
    @Column(name = "avatar", nullable = false)
    private String avatar;



    public Integer getDoctorId() {
        return doctorId;
    }

    public void setDoctorId(Integer doctorId) {
        this.doctorId = doctorId;
    }

    public String getHospitalIds() {
        return hospitalIds;
    }

    public void setHospitalIds(String hospitalIds) {
        this.hospitalIds = hospitalIds;
    }

    public String getDeptIds() {
        return deptIds;
    }

    public void setDeptIds(String deptIds) {
        this.deptIds = deptIds;
    }

    public String getSpecialty() {
        return specialty;
    }

    public void setSpecialty(String specialty) {
        this.specialty = specialty;
    }

    public String getBriefIntro() {
        return briefIntro;
    }

    public void setBriefIntro(String briefIntro) {
        this.briefIntro = briefIntro;
    }

    public String getTitle() {
        return title;
    }

    public void setTitle(String title) {
        this.title = title;
    }

    public String getDoctorName() {
        return doctorName;
    }

    public void setDoctorName(String doctorName) {
        this.doctorName = doctorName;
    }

    public String getAvatar() {
        return avatar;
    }

    public void setAvatar(String avatar) {
        this.avatar = avatar;
    }
}
